sort.hpp File Reference

Go to the source code of this file.

## Classes

class | Gecode::Int::StoEst< TaskView, inc >
| Sort by earliest start times. More...
class | Gecode::Int::StoEct< TaskView, inc >
| Sort by earliest completion times. More...
class | Gecode::Int::StoLst< TaskView, inc >
| Sort by latest start times. More...
class | Gecode::Int::StoLct< TaskView, inc >
| Sort by latest completion times. More...
class | Gecode::Int::SortMap< TaskView, STO, inc >
| Sorting maps rather than tasks. More...

## Namespaces

namespace | Gecode
| Gecode toplevel namespace
namespace | Gecode::Int
| Finite domain integers.

## Functions

template<class TaskView, SortTaskOrder sto, bool inc>
void | Gecode::Int::sort (TaskViewArray< TaskView > &t)
| Sort task view array t according to sto and inc (increasing or decreasing).
template<class TaskView, SortTaskOrder sto, bool inc>
void | Gecode::Int::sort (int *map, const TaskViewArray< TaskView > &t)
| Initialize and sort map for task view array t according to sto and inc (increasing or decreasing).
template<class TaskView, SortTaskOrder sto, bool inc>
void | Gecode::Int::sort (int *map, int n, const TaskViewArray< TaskView > &t)
| Sort map with size n for task view array t according to sto and inc (increasing or decreasing).